Sponsored Links

Sponsored Links

PS3 4.21 LV2 Patcher is Now Available, Sign and Run Homebrew


Sponsored Links
109w ago - Following up on the PS3 4.21 EBOOT Resigner SCETool Script, today I am releasing a PC tool called the PlayStation 3 4.21 LV2 Patcher.

Download: [Register or Login to view links] / [Register or Login to view links] (Mirror)

Basically what this does it disables lv2 from using the appldr to check homebrew. This will allow you to sign and run homebrew.

Just for a heads up. This has about no use to the average user because you need the lv2_kernel decrypted for this to work.

How to use:

  • Press the big button in the middle.
  • Located your file.
  • Open it and you're done.

Credits to KaKaRoTo for sharing the information.

Finally, those looking for some more PS3 4.21 CFW homebrew may wish to check out Comgenie's Awesome Filemanager v0.06 for PS3 4.21 CFW, BlackB0x FTP V1.2 for 4.21 CFW / ReActPSN Rogero Fix for 4.21 CFW and Several PS3 CFW 4.21 Homebrew Ports.




Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene updates and homebrew releases!

Comments 266 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles. Thanks!

xrayglasses's Avatar
#41 - xrayglasses - 114w ago
You don't need a lv1 exploit, it can glitch HTAB..

JOshISPoser's Avatar
#40 - JOshISPoser - 114w ago
what does all that mean?

PS3 News's Avatar
#39 - PS3 News - 114w ago
Following up on his PS3 SCETool update and PS3 Dump_Rootkey code, today Sony PlayStation 3 hacker Naehrwert has posted some details on exploiting the PlayStation 3 lv2_kernel and has made available a sample 3.41 implementation below.

To quote from his blog: Exploiting (?) lv2

A long while ago KaKaRoTo pointed me to a stack overflow he found while reversing lv2_kernel. But there are two problems:

1. The vulnerability is in a protected syscall (the SELF calling it got to have the 0x40... control flags set). So you’d first need to find a suitable usermode exploit (don’t ask us), that gives you code execution with the right privileges.

2. The payload data is copied to lv2 heap first and the function will do a free call on it before the payload has any chance to get executed. This might not sound like a problem but it looks like lv2′s heap implementation will overwrite the free’ed space with 0xABADCAFE and thus destroy the payload.

Here (pastie.org/4755699) is my sample implementation for 3.41 lv2_kernel (although the vulnerability should be present in all versions of lv2 up to the latest firmware), maybe someone of you will find a way to overcome problem (2.) and can get something nice out of it because right now it’s only good to crash lv2.

[Register or Login to view code]

From Mathieulh (via pastebin.com/naxXkv3M):

[Register or Login to view code]

The footer signature is still not checked upon npdrm self files execution as of 4.21.

Because kakaroto says something that doesn't make it true. Basically he found a check in 3.55 that was not even called and assumed they used it in 3.60+.

Of course they do whitelist npdrm now so even if the footer isn't checked you cannot run your own npdrm selfs signed with keyset lower than 0x0D making the whole debate rather pointless. Aditional checks are now performed on the actual file format as well such as the segment counter flag that needs to be set to 0x01 except for the very last segment.

Finally, from KDSBest (via twitlonger.com/show/jcmh80): Since naehrwert posted an lv2 exploit I will do so too . The stack pointer points to lv2 and if we do a syscall, the syscall saves register to the stack HAHA.

Btw. It just crashes the console for now, since I totally overwrite dump the lv2 or some memory addresses I don't know. Feel free to try around, adjust the address of the stackpointer and so on. If you managed to get the panic payload executed. Tell me!!! ^^

[Register or Login to view code]

I didn't managed to make it work on 4.21 so I just did on 4.20

More PlayStation 3 News...

Ezio's Avatar
#38 - Ezio - 117w ago
The last versions of scetool work fine also without zlib1.dll, I tested them myself.

rageagainst1's Avatar
#37 - rageagainst1 - 117w ago
That zlib1.dll is outdated (1.2.5). The latest version is 1.2.7 (many improvements have been made). You can get it here:

[Register or Login to view links]
or
[Register or Login to view links]

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Advertising - Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News